> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update custom domain for a help center



## OpenAPI

````yaml patch /help-centers/custom-domain/{helpCenterId}
openapi: 3.0.0
info:
  title: Thena Help Center API Documentation
  description: The Thena Help Center API description
  version: '1.0'
  contact: {}
servers:
  - url: https://helpcenter.thena.ai
    description: Production
security:
  - ApiKey: []
    base-access: []
    OrgId: []
    UserId: []
tags: []
paths:
  /help-centers/custom-domain/{helpCenterId}:
    patch:
      tags:
        - Help Centers
      summary: Update custom domain for a help center
      operationId: HelpCenterController_saveCustomDomain
      parameters:
        - name: helpCenterId
          required: true
          in: path
          description: Help Center ID in MongoDB ObjectId format
          schema:
            example: 507f1f77bcf86cd799439011
            type: string
      requestBody:
        required: true
        description: Custom domain update payload
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveCustomDomainDto'
            examples:
              Update custom domain:
                value:
                  defaultDomain: support
                  customDomain: help.thena.ai
      responses:
        '200':
          description: Custom domain updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateHelpCenterResponseDto'
components:
  schemas:
    SaveCustomDomainDto:
      type: object
      properties:
        defaultDomain:
          type: string
          description: Default subdomain
          pattern: ^[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?$
          example: support
        customDomain:
          type: string
          description: Custom domain
          pattern: >-
            ^[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?\.(?:[a-zA-Z0-9-]{1,63}\.)+[a-zA-Z]{2,}$
          example: help.thena.ai
      required:
        - defaultDomain
        - customDomain
    UpdateHelpCenterResponseDto:
      type: object
      properties:
        data:
          description: Help center data
          allOf:
            - $ref: '#/components/schemas/HelpCenter'
        message:
          type: string
          description: Response message
          example: Help center updated successfully.
      required:
        - data
        - message
    HelpCenter:
      type: object
      properties:
        orgId:
          type: string
          description: Organization ID
          example: EWWESHH5ED
        name:
          type: string
          description: Help center name
          example: Thena Support Center
        logo:
          type: string
          description: Help center logo
          example: https://example.com/logo.png
        customDomain:
          type: string
          description: Custom domain
          example: support.thena.ai
        gaId:
          type: string
          description: Google Analytics ID
          example: UA-1234567890
        defaultDomain:
          type: string
          description: Default domain
          example: support.thena.ai
        orgDomain:
          type: string
          description: Organization domain
          example: thena.ai
        isOnline:
          type: boolean
          description: Whether the help center is online
          example: true
        isProtected:
          type: boolean
          description: Whether the help center requires authentication to access
          example: false
        shouldIndex:
          type: boolean
          description: Whether the help center should be indexed
          example: true
        createdBy:
          type: string
          description: Created by
          example: UWW7PBBOPJ
        socialImages:
          type: object
          description: Social images
          example:
            favicon: https://example.com/favicon.ico
            openGraphImage: https://example.com/open-graph.jpg
        stylingConfiguration:
          type: object
          description: Styling configuration
          example:
            body:
              bgColor: '#FFFFFF'
              textColor: '#000000'
              actionColor: '#000000'
              designStyle: card
              radius: 10
              pFont: default
              sFont: default
              displayAuthors: true
            header:
              logo: https://example.com/logo.png
              title: Thena Support Center
              links:
                - name: Home
                  url: https://example.com
              showBg: true
              bgColor: '#FFFFFF'
              color: '#000000'
            hero:
              message: Welcome to Thena Support Center
              background:
                type: color
                color: '#FFFFFF'
              color: '#000000'
              height: 245
              search:
                len: long
                align: left
                justify: bottom
                radius: 10
                placeholderText: Search...
            bodyBlocks:
              collection:
                layout: one-column
                style: classic
            collection:
              displayDescription: true
            article:
              displayTableOfContent: true
              displayRelatedArticle: true
            footer:
              logo: https://example.com/logo.png
              layout: simple
              text: © 2024 Thena Support Center
              bgColor: '#FFFFFF'
              color: '#000000'
              socialLinks:
                - type: facebook
                  url: https://www.facebook.com/thena.ai
                - type: twitter
                  url: https://www.twitter.com/thena.ai
              links:
                - columnName: Contact
                  data:
                    - name: Support
                      url: https://example.com/support
        aiData:
          type: object
          description: AI data
          example:
            assistants:
              - name: Assistant 1
                assistantId: '123'
                vectorId: '456'
                assistantType: default
        meta:
          type: object
          description: Meta data
          example:
            title: Thena Support Center
            description: Thena Support Center
            image: https://example.com/image.jpg
      required:
        - orgId
        - name
        - defaultDomain
        - orgDomain
        - isOnline
        - isProtected
        - shouldIndex
        - createdBy
        - socialImages
        - stylingConfiguration
        - aiData
        - meta
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key

````